## LassoLibRequestAuthnContext

LassoLibRequestAuthnContext — <lib:RequestAuthnContext>

## Functions

LassoLibRequestAuthnContext * | lasso_lib_request_authn_context_new ()

## Types and Values

struct | LassoLibRequestAuthnContext

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoLibRequestAuthnContext

## Description

Information describing which authentication context the requester desires the identity provider to use in authenticating the Principal.

Figure 17. Schema fragment for lib:RequestAuthnContext

    <xs:element name="RequestAuthnContext">
      <xs:complexType>
        <xs:sequence>
          <xs:choice>
            <xs:element name="AuthnContextClassRef" type="xs:anyURI" maxOccurs="unbounded"/>
            <xs:element name="AuthnContextStatementRef" type="xs:anyURI" maxOccurs="unbounded"/>
          </xs:choice>
          <xs:element name="AuthnContextComparison"
              type="AuthnContextComparisonType" minOccurs="0"/>
        </xs:sequence>
      </xs:complexType>
    </xs:element>

## Functions

### lasso_lib_request_authn_context_new ()

    LassoLibRequestAuthnContext *
    lasso_lib_request_authn_context_new (void);

Creates a new LassoLibRequestAuthnContext object.

#### Returns

a newly created LassoLibRequestAuthnContext object

## Types and Values

### struct LassoLibRequestAuthnContext

    struct LassoLibRequestAuthnContext {
    	/* <xs:element name="AuthnContextClassRef" type="xs:anyURI" maxOccurs="unbounded"/> */
    	GList *AuthnContextClassRef; /* of strings */
    	/* <xs:element name="AuthnContextStatementRef" type="xs:anyURI" maxOccurs="unbounded"/> */
    	GList *AuthnContextStatementRef; /* of strings */
    	/* <xs:element name="AuthnContextComparison" type="AuthnContextComparisonType"
    	 *   minOccurs="0"/> */
    	char *AuthnContextComparison;
    };